#language: ru

@tma

Функционал: 005. Tma. Планирование бюджета

Сценарий: 005.1. Tma. Планирование бюджета на год
	
	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2ПланированиеБюджета" без контроля ссылок
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Проценты бюджетов'
	Тогда открылось окно 'Проценты бюджетов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Планирование бюджета (создание)'
	И в поле 'от' я ввожу текст '10.01.2019  0:00:00'
	И в поле 'Наименование' я ввожу текст 'План бюджета (годовой)'
	И из выпадающего списка "Сценарий планирования" я выбираю по строке 'Сценарий для годового плана продаж'
	И из выпадающего списка "Согласование" я выбираю по строке 'Согласован'
	И я перехожу к закладке "Бюджеты"
	И я заполняю таблицу "Бюджеты" данными
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.01.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.01.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.01.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.02.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.03.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.04.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.05.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.07.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.08.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.09.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.10.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.11.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.12.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
	И в поле с именем 'ПроцентБюджета' я ввожу текст '10,00'
	И я перехожу к следующему реквизиту
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.01.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.01.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.01.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.01.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.02.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.02.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.02.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.02.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.03.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.03.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.03.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.03.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.04.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.04.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.04.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.04.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.05.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.05.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.05.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.05.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.07.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.07.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.07.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.07.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.08.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.08.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.08.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.08.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.09.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.09.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.09.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.09.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.10.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.10.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.10.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.10.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.11.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.11.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.11.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.11.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.12.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.12.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
		| '01.12.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '10'        |
		| '01.12.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '10'        |
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'План бюджета (годовой) (Согласован)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План бюджета (годовой) (Согласован)' в течение 20 секунд
	Тогда открылось окно 'Проценты бюджетов'
	И Я закрываю окно 'Проценты бюджетов'

Сценарий: 005.2. Tma. Планирование бюджета на июнь
	
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Проценты бюджетов'
	Тогда открылось окно 'Проценты бюджетов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Планирование бюджета (создание)'
	И в поле 'от' я ввожу текст '10.01.2019  0:00:00'
	И в поле 'Наименование' я ввожу текст 'План бюджета (июнь)'
	И из выпадающего списка "Сценарий планирования" я выбираю по строке 'Сценарий плана продаж (месяц)'
	И из выпадающего списка "Согласование" я выбираю по строке 'Согласован'
	И я перехожу к закладке "Бюджеты"
	И я заполняю таблицу "Бюджеты" данными
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '5'         |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '5'         |
	И в поле с именем 'ПроцентБюджета' я ввожу текст '8,00'
	И я перехожу к следующему реквизиту
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '% бюджета' |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '8'         |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '8'         |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '8'         |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '8'         |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Планирование бюджета (создание) *' в течение 20 секунд
	Тогда открылось окно 'Проценты бюджетов'
	И Я закрываю окно 'Проценты бюджетов'

Сценарий: 005.3. Tma. Завершение

	И Я закрыл все окна клиентского приложения